GrailsApplicationLifeCycleAdapter (Grails 6.0.0)

Package: grails.core

## [Groovy] Class GrailsApplicationLifeCycleAdapter

- grails.core.GrailsApplicationLifeCycleAdapter

- All Implemented Interfaces and Traits:
    GrailsApplicationLifeCycle

      @groovy.transform.CompileStatic
      class GrailsApplicationLifeCycleAdapter
      extends java.lang.Object
      implements GrailsApplicationLifeCycle

  Adapter for the GrailsApplicationLifeCycle interface

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApplicationLifeCycleAdapter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `doWithApplicationContext()`
    `` | `void` | `doWithDynamicMethods()`
    `` | `groovy.lang.Closure` | `doWithSpring()`
    `` | `void` | `onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `void` | `onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `void` | `onStartup(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsApplicationLifeCycleAdapter()

  - ### Method Detail

    - #### @java.lang.Override void doWithApplicationContext()

    - #### @java.lang.Override void doWithDynamicMethods()

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### @java.lang.Override void onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onStartup(java.util.Map<java.lang.String, java.lang.Object> event)